%define realname Catalyst
%define name perl-%{realname}
%define version 5.33
%define release 1mdk

Summary:	The Elegant MVC Web Application Framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		http://search.cpan.org/CPAN/authors/id/M/MR/MRAMBERG/%{realname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI-Simple
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-Class-Data-Inheritable
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Module-Pluggable-Fast
BuildRequires:	perl-Path-Class
BuildRequires:	perl-Text-ASCIITable
BuildRequires:	perl-Tree-Simple
BuildRequires:	perl-Tree-Simple-VisitorFactory
BuildRequires:	perl-UNIVERSAL-exports
BuildRequires:	perl-libwww-perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%define _requires_exceptions perl(Apache\\|perl(FCGI)\\|perl(APR

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

Catalyst follows the Model-View-Controller (MVC) design pattern, allowing you
to easily separate concerns, like content, presentation, and flow control, into
separate modules. This separation allows you to modify code that handles one
concern without affecting code that handles the others. Catalyst promotes the
re-use of existing Perl modules that already handle common web application
concerns well.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Catalyst.pm
%{perl_vendorlib}/Catalyst/*
%{_bindir}/catalyst.pl
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.33-1mdk
- 5.33
- Fix source URL

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.30-1mdk
- 5.30

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.23-1mdk
- 5.23

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.10-2mdk
- Don't require apache modules

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.10-1mdk
- First Mandriva release
